---
title: os
keywords: documentation
layout: documentation
sidebar: mq_install_sidebar
toc: false
---
## Overview

The `mq_install::os` defined type is a convenience class for adding the MQ users and setting the MQ OS requirements on your system.

class mq_install::os(
  String $mqm_password    = 'mqm',
)

Here is an example on how to use it:

``` puppet
class { 'mq_install::os':
  mqm_password    => 'verysecret',
}
```



## Attributes



Attribute Name                   | Short Description                                                        |
-------------------------------- | ------------------------------------------------------------------------ |
[managehome](#os_managehome)     | Allows you to specify weather you want to manage the MQM users home dir. |
[mqm_password](#os_mqm_password) | The password to be used for the `mqm` user.                              |




### mqm_password<a name='os_mqm_password'>

The password to be used for the `mqm` user. The default is the same as the username.

Here is an example on how to use this:

    class { '::mq_install::os':
      ...
      mqm_password => 'secret',
      ...
    }

Type: `String`

Default:`'mqm'`

[Back to overview of os](#attributes)

### managehome<a name='os_managehome'>

Allows you to specify weather you want to manage the MQM users home dir.
By default this is set to true and it will create a home directory for
the MQM user named '/var/mqm'.

When you want to use an other folder, set the value of `managehome` to false
and create your own links from '/var/mqm' to the directories you want.

Here is an example on how to use this:

    class { '::mq_install::os':
      ...
      managehome => false,
      ...
    }

Type: `Boolean`

Default:`true`

[Back to overview of os](#attributes)
