The defined type `mq_install::autostart` allows you to create a systemd startup unit for a specified MQ queue manager and
make sure it is restarted after a system reboot.

The simples way to use it is:

``` puppet
mq_install::autostart{'QM1':}
```

Here is an example with all possible properties used:

``` puppet
mq_install::autostart{'QM1':
    path         => '/etc/systemd/system',
    service_name => 'my_mq,
    mq_version   => 8,
    mq_user      => 'mqm_user',
    mq_group     => 'mqm_group',
    nofile_limit => 20480,
    nproc_limit  => 4096,
}
```


<%- include_attributes [
  :title,
  :path,
  :service_name,
  :mq_version,
  :mq_user,
  :mq_group,
  :nofile_limit,
  :nproc_limit,
  :multi_instance
]%>
