This class install's specified version of the the MQ software on the system. The source zip file from IBM is found at the location specified at `source_location`. By default it will install only the minimal required set. By using the `install_...` parameters, you can install optional components.

Here is an example on how to use it:

``` puppet
class { '::mq_install::software':
  source_location  => '/software',
  version          => '9.0.0.0'
  tmp_dir          => '/tmp'
  install_ams      => true,
  install_ft       => false,
  install_client   => false,
  install_explorer => true,
  install_xrserver => false,
  install_samples  => false,
  install_sdk      => false,
  install_man      => false,
  install_gskit    => false,
  install_amqp     => false,
  logoutput        => 'true,
}
```

On systems with a secured `/tmp` direcory, you MUST specify the `tmp_dir` parameter and specify a directory that puppet is allowed to execute scripts from. It must also have enough space to receive the extracted MQ installation kit.


<%- include_attributes [
  :source_location,
  :version,
  :tmp_dir,
  :install_ams,
  :install_ft,
  :install_client,
  :install_explorer,
  :install_xrserver,
  :install_samples,
  :install_sdk,
  :install_man,
  :install_gskit,
  :install_amqp,
  :install_web,
  :install_salesforce,
  :install_blockchain,
  :install_rdqm,
  :logoutput
]%>
